* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
}

body {
    overflow-x: hidden;
}

/* HOME PAGE */

.main-banner {
    height: 800px;
    width: 100%;
    object-fit: cover;
}

.main-logo {
    position: absolute;
    height: 400px;
    margin-top: -50px;
}

.nav-links {
    position: absolute;
    display: flex;
    flex-direction: row;
    gap: 40px;
    right: 200px;
    margin-top: 50px;
}

.nav-links a {
    color: white;
    text-decoration: none;
    padding: 12px;
    font-size: 22px;
    font-weight: 600;
    border-radius: 4px;
}

.nav-links a:hover {
    background-color: #0078FF;
}

.title-box {
    position: absolute;
    display: flex;
    flex-direction: column;
    margin-top: 200px;
    color: white;
    width: 700px;
    right: 400px;
}

.title {
    font-size: 60px;
    margin-bottom: 20px;
}

.browseBtn {
    height: 50px;
    width: 200px;
    background-color: #0078FF;
    color: white;
    font-size: 15px;
    font-weight: 600;
    margin-top: 30px;
    cursor: pointer;
    border: none;
}

.information {
    margin-top: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 200px;
    margin-bottom: 30px;
}

.left,
.right {
    width: 15%;
    display: flex;
    flex-direction: column;
    font-size: 30px;
    font-weight: 200;
}

.left img,
.right img {
    margin-top: 30px;
    height: 400px;
    width: 300px;
    object-fit: cover;
}

.right img {
    margin-bottom: 30px;
}

.right h2 {
    margin-bottom: 30px;
}

.right p {
    font-size: 20px;
}

.line {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #0078FF;
    margin: 1em 0;
}

.equipment-box {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.rental-title {
    font-size: 60px;
    text-align: center;
}

.equipment {
    margin-top: 60px;
    display: flex;
    gap: 30px;
}

.wacker-plate,
.cement-mixer {
    padding: 20px;
}

.wacker-plate:hover,
.cement-mixer:hover {
    transition: .5s;
    box-shadow: 0px 0px 10px #888888;
    cursor: pointer;
}

.wacker-plate img,
.cement-mixer img {
    width: 300px;
    height: 300px;
    object-fit: contain;
}

.h-colour {
    color: grey;
}

.drop-down {
    display: none;
}

/* BOOKING PAGE */

.booking-header {
    background-color: #0078FF;
    width: 100%;
    height: 150px;
}

.booking-logo {
    height: 200px;
    margin-top: -15px;
    position: absolute;
}

.booking-title-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 50px;
}

.booking-title {
    font-size: 50px;
    font-weight: 600;
    text-align: center;
}

.booking-form button {
    background: #0078FF;
    color: white;
    border: none;
    padding: 15px 30px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s;
}

.booking-form button:hover {
    background: #005fcc;
    transform: translateY(-2px);
}

.booking-form-contact button {
    background: #0078FF;
    color: white;
    border: none;
    padding: 15px 30px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s;
}

.booking-form-contact button:hover {
    background: #005fcc;
    transform: translateY(-2px);
}

.main-contact {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    max-width: 1400px;
    margin: 100px auto 0;
    gap: 100px;
}

.booking-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 50px;
}

.text-form {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 20px;
}

.input-box {
    height: 40px;
    width: 400px;
    margin-bottom: 30px;
    padding-left: 10px;
    font-size: 15px;
}

.additional-info {
    height: 100px;
    width: 400px;
    padding: 10px;
    font-size: 15px;
    max-width: 400px;
}

/* CONTACT PAGE */

.contact-info {
    display: flex;
    flex-direction: column;
    gap: 30px;
    width: 30%;
}

.contact-main-title {
    font-size: 50px;
    font-weight: 600;
    width: 50%;
    text-align: center;
}


.dropDown-menu {
    position: absolute;
    top: 120px;
    width: 100%;
    background: #2c2e2f;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;

    max-height: 0;
    overflow: hidden;

    transition: max-height 0.4s ease-in-out;

    z-index: 999;
}

.dropDown-menu a {
    color: white;
    text-decoration: none;
    font-size: 22px;
    font-weight: 600;
}

.dropDown-menu.show {
    max-height: 400px;
    padding: 20px;
}

/* ABOUT PAGE */

.about-title-heading {
    font-size: 50px;
    font-weight: 600;
    text-align: center;
    margin-top: 50px;
    margin-bottom: 100px
}

.booking-title-box {
    margin-bottom: 40px;
}

.main-about {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 100px 200px 0;
    gap: 100px;
}

.about-right,
.about-left {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
    width: 30%;
}


.footer {
    margin-top: 100px;
    background-color: #2c2e2f;
    height: 400px;

}

/* Reviews */

.reviews {
    font-size: 30px;
    font-weight: bold;
    margin: 30px 0 10px;
}

.testimonials {
    width: 100%;
    max-width: 1000px;

    display: flex;


    gap: 20px;
}

.testimonial {
    width: 300px;
    min-height: 150px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    gap: 10px;


    padding: 20px;
}

.stars {
    color: #FFD700;
    font-size: 20px;
}

/*FOOTER*/

.footer {
    background-color: #2c2e2f;
    color: white;
    margin-top: 100px;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    gap: 50px;
    padding: 60px 100px;
    flex-wrap: wrap;
}

.footer-section {
    display: flex;
    flex-direction: column;
    gap: 12px;
    max-width: 300px;
}

.footer-section h3 {
    color: #0078FF;
    margin-bottom: 10px;
}

.footer-section a {
    color: white;
    text-decoration: none;
    transition: 0.3s;
}

.footer-section a:hover {
    color: #0078FF;
}

.footer-bottom {
    border-top: 1px solid rgba(255,255,255,0.2);
    text-align: center;
    padding: 20px;
    font-size: 14px;
}

.footer-bottom p {
    margin: 5px 0;
}

/* MOBILE RESPONSIVE */

@media (max-width: 768px) {

    .main-banner {
        height: 600px;
    }

    .main-logo {
        height: 180px;
        margin-top: 0;
        left: 10px;
        top: 10px;
    }

    .nav-links {
        display: none;
    }

    .drop-down {
        display: block;
        position: absolute;
        right: 20px;
        top: 30px;
        width: 65px;
        height: 65px;
        cursor: pointer;
    }

    .title-box {
        width: 90%;
        left: 5%;
        right: auto;
        margin-top: 220px;
        text-align: center;
        align-items: center;
    }

    .title {
        font-size: 38px;
    }

    .contact-title {
        margin-top: 0px;
    }

    .title-box p {
        font-size: 16px;
        line-height: 1.5;
    }

    .browseBtn {
        width: 180px;
    }

    .information {
        flex-direction: column;
        gap: 40px;
        padding: 0 25px;
    }

    .left,
    .right {
        width: 100%;
        font-size: 24px;
        text-align: center;
        align-items: center;
    }

    .left img,
    .right img {
        width: 100%;
        max-width: 320px;
        height: auto;
    }

    .right p {
        font-size: 17px;
        line-height: 1.5;
    }

    .rental-title {
        font-size: 38px;
    }

    .equipment {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }

    .wacker-plate img,
    .cement-mixer img {
        width: 260px;
        height: 260px;
    }

    .booking-header {
        height: 120px;
    }

    .booking-logo {
        height: 140px;
    }

    .booking-title {
        font-size: 36px;
        padding: 0 20px;
    }

    .main-contact {
        flex-direction: column;
        margin: 60px 25px 0;
        gap: 50px;
    }

    .contact-main-title {
        width: 100%;
        font-size: 36px;
    }

    .contact-info {
        width: 100%;
        margin: 0;
        text-align: center;
    }

    .input-box,
    .additional-info {
        width: 100%;
        max-width: 350px;
    }

    .about-title-heading {
        font-size: 42px;
        padding: 0 20px;
    }

    .main-about {
        flex-direction: column;
        margin: 60px 25px 0;
        gap: 50px;
    }

    .about-right,
    .about-left {
        width: 100%;
        margin-top: 0;
        text-align: center;
    }

      .second-about {
        height: auto;
        min-height: 0;
        margin-bottom: 0;
    }

    .footer {
        margin-top: 30px;
        height: 600px;
    }

    .footer-content {
        flex-direction: column;
        text-align: center;
        align-items: center;
        padding: 40px 20px;
    }

    .footer-section {
        max-width: 100%;
        height: 100px;
    }


}